<template>
  <div>

    <b-form-group  v-slot="{ ariaDescribedby }">

      <h3>Usuarios:</h3>
      <b-form inline
        id="checkbox-group-user-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[0].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[1].selected" :state="checkSelectEditUser"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[2].selected" :state="checkSelectViewUser"> Ver detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[3].selected"> Eliminar</b-form-checkbox>
      </b-form>
      
      <br>
      <h3>Clientes:</h3>
      <b-form inline
        id="checkbox-group-clients-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[4].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[5].selected" :state="checkSelectEditClient"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[6].selected" :state="checkSelectViewClient"> Ver detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[7].selected"> Eliminar</b-form-checkbox>
      </b-form>

      <br>
      <h3>Roles:</h3>
      <b-form inline
        id="checkbox-group-roles-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[8].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[9].selected" :state="checkSelectEditRole"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[10].selected" :state="checkSelectViewRole"> Ver detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[11].selected"> Eliminar</b-form-checkbox>
      </b-form>


      <br>
      <h3>Proyectos:</h3>
      <b-form 
        inline
  
        id="checkbox-group-projects-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[12].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[13].selected" :state="checkSelectEditProject"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[14].selected" :state="checkSelectViewProject"> Ver detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[15].selected"> Eliminar </b-form-checkbox>
      </b-form>
      <br>
      <h3>Actividades de proyectos:</h3>
      <b-form 
        inline
  
        id="checkbox-group-project-activities-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[16].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[17].selected" :state="checkSelectViewActivitie"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[18].selected" :state="checkSelectEditActivitie"> Ver detalles</b-form-checkbox>     
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[19].selected"> Eliminar </b-form-checkbox>
        
      </b-form>

      

      <br>
      <h3>Facturas:</h3>
      <b-form inline
        id="checkbox-group-invoices-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[20].selected"> Crear</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[21].selected" :state="checkSelectEditInvoices"> Editar detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[22].selected" :state="checkSelectViewInvoices"> Ver detalles</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[23].selected"> Eliminar </b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[24].selected"> Validar </b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[25].selected"> Enviar </b-form-checkbox>
      </b-form>

      <br>
      <h3>Asistencia:</h3>
      <b-form inline
        id="checkbox-group-projects-attendance-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[26].selected" :state="checkSelectViewAttendance"> Ver historial de los usuarios</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[27].selected" :state="checkSelectEditAttendance"> Editar historial de los usuarios</b-form-checkbox>
        
      </b-form>

      <br>
      <h3>Configuración:</h3>
      <b-form inline
        id="checkbox-group-projects-config-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[28].selected"> Configurar horario laboral</b-form-checkbox>
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[29].selected"> Configurar impuestos de facturacion</b-form-checkbox>
        
      </b-form>

      <br>
      <h3>Dashboard:</h3>
      <b-form inline
        id="checkbox-group-projects-dashboard-module"
        :aria-describedby="ariaDescribedby"
        name="flavour-2"
      >
        <b-form-checkbox class="mb-2 mr-sm-2 mb-sm-0" v-model="permissions[30].selected"> Ver dashboard administrativo</b-form-checkbox>
       
        
      </b-form>

    </b-form-group>



    


  </div>
</template>

<script>
import {
  BTable,BFormCheckbox,BFormGroup,BFormCheckboxGroup,BForm,
} from 'bootstrap-vue'

export default {
  components: {

    BTable,
    BFormCheckbox,
    BFormGroup,
    BForm,
    BFormCheckboxGroup
 
 
  },
  name:'roles-table',
    props:{
        permissions:{
            type: Array,
            default: () => [],
        },
      
    },
    computed:{
      checkSelectEditUser(){    
        if(this.permissions[1].selected == true){
          this.permissions[2].selected = true
        }
        
      },
      checkSelectViewUser(){    
        if(this.permissions[2].selected == false){
          this.permissions[1].selected = false
        }
        
      },
      checkSelectEditClient(){    
        if(this.permissions[5].selected == true){
          this.permissions[6].selected = true
        }
        
      },
      checkSelectViewClient(){    
        if(this.permissions[6].selected == false){
          this.permissions[5].selected = false
        }
        
      },
      checkSelectEditRole(){    
        if(this.permissions[9].selected == true){
          this.permissions[10].selected = true
        }
        
      },
      checkSelectViewRole(){    
        if(this.permissions[10].selected == false){
          this.permissions[9].selected = false
        }
        
      },
      checkSelectEditProject(){    
        if(this.permissions[13].selected == true){
          this.permissions[14].selected = true
        }
        
      },
      checkSelectViewProject(){    
        if(this.permissions[14].selected == false){
          this.permissions[13].selected = false
        }
        
      },
      checkSelectEditActivitie(){    
        if(this.permissions[17].selected == true){
          this.permissions[18].selected = true
        }
        
      },
      checkSelectViewActivitie(){    
        if(this.permissions[18].selected == false){
          this.permissions[17].selected = false
        }
        
      },
      checkSelectEditInvoices(){    
        if(this.permissions[21].selected == true){
          this.permissions[22].selected = true
        }
        
      },
      checkSelectViewInvoices(){    
        if(this.permissions[22].selected == false){
          this.permissions[21].selected = false
        }
        
      },
      checkSelectViewAttendance(){    
        if(this.permissions[26].selected == false){
          this.permissions[27].selected = false
        }
        
      },
      checkSelectEditAttendance(){    
        if(this.permissions[27].selected == true){
          this.permissions[26].selected = true
        }
        
      },
    },
    
  


}
</script>

<style>

</style>
